{
  config,
  lib,
  ...
}: let
  cfg = config.mods.flatpak.stremio;
in
  with lib; {
    options.mods.flatpak.stremio.enable =
      mkEnableOption "enables stremio flatpak";

    config = mkIf cfg.enable {
      services.flatpak.packages = [
        {
          appId = "com.stremio.Stremio";
          origin = "flathub";
        }
      ];
    };
  }
